SRLATEX(1)

NAME
srlatex - format SR program for LaTeX

SYNOPSIS
srlatex [ -ep ] [ -l lang ] [ -a n ] [ -t n ] [ file ... ]

DESCRIPTION

Srlatex formats an SR program for use with latex(1). To include an SR program formatted with srlatex, use document-style option srlatex and include the file with the output generated by srlatex with an \input{ filename } command. The document style option defines various parameters concerning the typesetting aspects. For example, fonts for keywords, identifiers, literal strings, and comments are defined there. Input is read from the named files, or from standard input if none are given. Output is written to standard output.

Srlatex tries hard to keep indentation and alignment the same as the original program. Horizontal positioning is recalculated (to preserve vertical columns) after reading a tab character or three consecutive spaces. The average character width used to calculate columns is fixed (as defined by \srTeXcw in the style file). If text exceeds this average length, a warning is printed and the text is typeset in its natural width.

The following options are accepted:

-e  Enable escape sequence. Text between the delimiters #< and ># is passed to the typesetting program directly. The delimiters themselves are not printed. This allows to include arbitrary LaTeX commands in a program. Note that the SR compiler regards the whole line as a comment.

-l lang
    Select one of the following source languages:
    sr	SR (Synchronizing Resources)
    ftsr	Fault-Tolerant SR
    pl	Programming Logic (from Concurrent Programming)
    PL adds the keywords await, barrier, chan, cond, empty, minrank, monitor, region, signal, signal_all, wait, and when to SR.

-p  Produce a wrapper allowing output to be fed directly into LaTeX. By default, srlatex produces output to be included in a larger document.

-t n
    Set tab stops every n columns. The default is every eight columns.

-a n
    Set the number of spaces that force column alignment. The default is three. A large value inhibits alignment and usually looks ugly.

SEE ALSO
Gregory R. Andrews and Ronald A. Olsson, The SR Programming Language: Concurrency in Practice. Benjamin/Cummings, 1993, ISBN 0-8053-0088-0.

Richard D. Schlichting and Vicraj T. Thomas, FT-SR: A Programming Language for Constructing Fault-Tolerant Distributed Systems. TR 92-31, Dept. of Computer Science, The University of Arizona, 1992.

Gregory R. Andrews, Concurrent Programming: Principles and Practice. Benjamin/Cummings, 1991, ISBN 0-8053-0086-4.

sr(1), latex(1), srtex(1), srgrind(1)

CAVEATS

Erroneous programs may exhibit strange spacing and/or pagination.

Extremely long program tokens overflow lex buffers and cause core dumps.

It is possible to overflow TeX buffers.